Skip to main content
POST
Cancel Sales Order

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

salesOrderId
string<uuid>
required

The ID of the sales order to cancel.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Body

application/json

The details for the cancellation to be performed.

Model Class: CreateSalesOrderCancellationDetails

cancellationReasonId
string<uuid>

The id of the reason for cancelling the sales order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

cancellationComment
string

A comment that adds further information to the cancellation.

Response